
/*
 * DEFS.H
 *
 *	(C)Copyright 1989 by Vidhyanath Rao, All Rights Reserved
 *
 */

#include <exec/exec.h>

typedef unsigned char  ubyte;

extern ubyte *av[];


#define RDE_CMDERR  (1L << 0)
#define RDE_BADCMD  (1L << 1)
#define RDE_BADARG  (1L << 2)
#define RDE_NESTRX  (1L << 3)
#define RDE_CMDLNG  (1L << 4)
#define RDE_RXBAD   (1L << 5)

#define RDE_NOMEM   (1L <<16)
#define RDE_IOERR   (1L <<17)


#define RHB_ACTIVE	0
#define RHB_HALTED	1
#define RHB_USRLOCK	4
#define RHB_MCRLOCK	5
#define RHB_NOIO	8

#define RHF_ACTIVE  (1 << RHB_ACTIVE)
#define RHF_HALTED  (1 << RHB_HALTED)
#define RHF_USRLCK  (1 << RHB_USRLOCK)
#define RHF_MCRLCK  (1 << RHB_MCRLOCK)

#define RHF_NOIO    (1 << RHB_NOIO)

extern char	*String;

extern void	*malloc(), *AllocMem();

extern ULONG    CmdErr;
extern UWORD	RHFlags;
extern	char Quitflag;
